from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('stock', '0004_alter_stockchangerecord_source_type'),
    ]

    operations = [
        migrations.AddField(
            model_name='stockchangedetail',
            name='is_consumed',
            field=models.BooleanField(default=False, verbose_name='是否已消耗'),
        ),
        migrations.AddField(
            model_name='stockchangedetail',
            name='consume_with',
            field=models.OneToOneField(blank=True, null=True, on_delete=models.PROTECT, related_name='consumed_by_detail', to='stock.stockchangedetail', verbose_name='所消耗的入库明细'),
        ),
    ]

